Bug 324698 - Add contact dialog shows empty account combo
Summary: Add contact dialog shows empty account combo
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: common-internals (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal
Target Milestone: 0.7-beta
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 13:33 UTC by David Edmundson
Modified: 2013-09-10 12:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
kde: kpeople+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-09-09 13:33:29 UTC
Add contact dialog shows empty combo box for selecting account.
Comment 1 David Edmundson 2013-09-09 14:04:14 UTC
This is because canRequestPresenceSubscription requires Tp::FeatureConnectionRoster which isn't ever loaded in kpeople mode.

Non-kpeople mode should be unnafected.

Possible Solutions: 
 - upgrade the connections inside add-contact-dialog

 - manually query the connection ContactListInterface 
( connection->interface<Client::ConnectionClientContactListInterface>()->requestPropertyCanChangeContactList();

 - inside TpQt create a new feature FeatureContactListCapabilities. Fetch the properties if that exists, only process contactListState if FeatureRoster is also set. Make FeatureRoster depend on FeatureContactListCapabilities
 
 - disable the filtering?

I don't want to just enable FeatureConnectionRoster in the main AccountManager as that particular feature is the most expensive and we turned it off for a reason.
Comment 2 David Edmundson 2013-09-10 12:02:51 UTC
Git commit 73f27b0f301ad17a16770aef016ab8c86e31e64b by David Edmundson.
Committed on 10/09/2013 at 01:00.
Pushed by davidedmundson into branch 'master'.

Fix empty combo box in "add contact" dialog

In Kpeople mode we never request FeatureRoster to reduce DBus traffic
fetching a roster list that we get from Nepomuk anyway.
The add contact dialog needs this in order to tell if a roster is editable.

This patch upgrades all connections.

REVIEW: 112631

M  +29   -0    KTp/Widgets/add-contact-dialog.cpp
M  +1    -0    KTp/Widgets/add-contact-dialog.h

http://commits.kde.org/telepathy-common-internals/73f27b0f301ad17a16770aef016ab8c86e31e64b